%define hcldir libhcl
Name: hcl-gpgkey
Version: 0.2
Release: alt1
BuildArch: noarch

Summary: GnuPG key for the HCL system
License: GPL
Group: System/Base
Packager: Serg A. Kotlyarov <shadowsbrother at gmail.com>

Source0: hcl-get.asc
Source1: options

BuildPreReq: gnupg <= 1.99.99
Obsoletes: libhcl <= 0.3

%description
%summary

%prep
[ -d home ] &&: || mkdir -m700 home

%build
gpg --homedir home --import %SOURCE0
install -pm600 %_sourcedir/options home/gpg.conf

%install
mkdir -p -- %buildroot/%_bindir
mkdir -p -- %buildroot/%_datadir/%hcldir/gpg
cd home
install -pm644 pubring.gpg secring.gpg trustdb.gpg gpg.conf \
	%buildroot/%_datadir/%hcldir/gpg

%files
%dir %_datadir/%hcldir/gpg
%_datadir/%hcldir/gpg/gpg.conf
%_datadir/%hcldir/gpg/pubring.gpg
%_datadir/%hcldir/gpg/trustdb.gpg
%_datadir/%hcldir/gpg/secring.gpg
%dir %_datadir/%hcldir

%changelog